Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ImplicitActivationPolicy Interface Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::ImplicitActivationPolicy:

[legend]
Collaboration diagram for PortableServer::ImplicitActivationPolicy:

[legend]
List of all members.

## Public Types
typedef ImplicitActivationPolicy_ptr | _ptr_type
typedef ImplicitActivationPolicy_var | _var_type
## Public Methods
virtual::PortableServer::ImplicitActivationPolicyValue | value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
ImplicitActivationPolicy_ptr | _duplicate (ImplicitActivationPolicy_ptr obj)
ImplicitActivationPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ImplicitActivationPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ImplicitActivationPolicy_ptr | _nil (void)
## Public Attributes
readonly attribute ImplicitActivationPolicyValue | value
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| ImplicitActivationPolicy (void)
virtual | ~ImplicitActivationPolicy (void)
## Private Methods
| ImplicitActivationPolicy (const ImplicitActivationPolicy &)
void | operator= (const ImplicitActivationPolicy &)

## Member Typedef Documentation

typedef ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef ImplicitActivationPolicy_var PortableServer::ImplicitActivationPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::ImplicitActivationPolicy::ImplicitActivationPolicy | ( | void |  | ) | `[protected]`

virtual PortableServer::ImplicitActivationPolicy::~ImplicitActivationPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::ImplicitActivationPolicy::ImplicitActivationPolicy | ( | const ImplicitActivationPolicy & |  | ) | `[private]`

## Member Function Documentation

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy::_duplicate | ( | ImplicitActivationPolicy_ptr | obj | ) | `[static]`

virtual const char* PortableServer::ImplicitActivationPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

virtual void* PortableServer::ImplicitActivationPolicy::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

ImplicitActivationPolicy_ptr PortableServer::ImplicitActivationPolicy::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

void PortableServer::ImplicitActivationPolicy::operator= | ( | const ImplicitActivationPolicy & |  | ) | `[private]`

virtual ::PortableServer::ImplicitActivationPolicyValue PortableServer::ImplicitActivationPolicy::value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_Implicit_Activation_Policy.

## Member Data Documentation

int PortableServer::ImplicitActivationPolicy::_tao_class_id`[static]`

| Reimplemented from CORBA::Policy.

readonly attribute ImplicitActivationPolicyValue PortableServer::ImplicitActivationPolicy::value

The documentation for this interface was generated from the following files:

- PortableServer.pidl
- PortableServerC.h